Bug 130282 - redhat-config-network-tui crashed after inputing wrong information
redhat-config-network-tui crashed after inputing wrong information
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-18 15:14 EDT by ming
Modified: 2008-02-01 09:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-01 09:14:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ming 2004-08-18 15:14:56 EDT
Description of problem:

I input some wrong information when I run redhat-config-netwok to 
config ethernet just now by mistake. I saved and quited the program. 
When I re-run the command and choose to config ethernet, I get lots 
of error information.

Version-Release number of selected component (if applicable):

1.3.10


How reproducible:


Steps to Reproduce:
1.run redhat-config-network and config ethernet,input some error 
info, list DEVICE eth0:___1, save and quit
2.re-run redhat-config-network and choose to config ethernet
  
Actual results:

An unhandled exception has occured.  This is most 

likely a bug.  Please save the crash dump and file 

a detailed bug report against 

redhat-config-network at 

https://bugzilla.redhat.com/bugzilla
Component: redhat-config-network
Version: 1.3.10
Summary: TB 

/usr/src/build/320592-noarch/install/usr/share/red

hat-config-network/netconfpkg/NCDevice.py:196:load

:ValueError: invalid literal for int(): 1:2
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-network-tui", line 

510, in ?
    mainScreen(screen)
  File "/usr/sbin/redhat-config-network-tui", line 

152, in mainScreen
    nw=EthernetWindow(screen,getDeviceList())
  File 

"/usr/src/build/320592-noarch/install/usr/share/re

dhat-config-network/netconfpkg/NCDeviceList.py", 

line 322, in getDeviceList
    DVList.load()
  File 

"/usr/src/build/320592-noarch/install/usr/share/re

dhat-config-network/netconfpkg/NCDeviceList.py", 

line 118, in load
    newdev.load(dev)
  File 

"/usr/src/build/320592-noarch/install/usr/share/re

dhat-config-network/netconfpkg/NCDevice.py", line 

196, in load
    self.Alias = int(self.Device[aliaspos+1:])
ValueError: invalid literal for int(): 1:2

> 

/usr/src/build/320592-noarch/install/usr/share/red

hat-config-network/netconfpkg/NCDevice.py(198)load

()
-> except TypeError:
(Pdb) An unhandled exception has occured.  This is 

most likely a bug.  Please save the crash dump and 

file a detailed bug report against 

redhat-config-network at 

https://bugzilla.redhat.com/bugzilla
Component: redhat-config-network
Version: 1.3.10
Summary: TB 

/usr/lib/python2.2/cmd.py:111:cmdloop:KeyboardInte

rrupt
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-network-tui", line 

517, in ?
    handleException(sys.exc_info(), PROGNAME, 

PRG_VERSION)
  File "/usr/sbin/redhat-config-network-tui", line 

116, in handleException
    pdb.post_mortem (tb)
  File "/usr/lib/python2.2/pdb.py", line 935, in 

post_mortem
    p.interaction(t.tb_frame, t)
  File "/usr/lib/python2.2/pdb.py", line 141, in 

interaction
    self.cmdloop()
  File "/usr/lib/python2.2/cmd.py", line 111, in 

cmdloop
    line = raw_input(self.prompt)
KeyboardInterrupt

> /usr/lib/python2.2/cmd.py(112)cmdloop()
-> except EOFError:
(Pdb) Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-network-tui", line 

122, in <lambda>
    PRG_NAME, PRG_VERSION)
  File "/usr/sbin/redhat-config-network-tui", line 

116, in handleException
    pdb.post_mortem (tb)
  File "/usr/lib/python2.2/pdb.py", line 935, in 

post_mortem
    p.interaction(t.tb_frame, t)
  File "/usr/lib/python2.2/pdb.py", line 141, in 

interaction
    self.cmdloop()
  File "/usr/lib/python2.2/cmd.py", line 111, in 

cmdloop
    line = raw_input(self.prompt)
KeyboardInterrupt

Original exception was:
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-network-tui", line 

517, in ?
    handleException(sys.exc_info(), PROGNAME, 

PRG_VERSION)
  File "/usr/sbin/redhat-config-network-tui", line 

116, in handleException
    pdb.post_mortem (tb)
  File "/usr/lib/python2.2/pdb.py", line 935, in 

post_mortem
    p.interaction(t.tb_frame, t)
  File "/usr/lib/python2.2/pdb.py", line 141, in 

interaction
    self.cmdloop()
  File "/usr/lib/python2.2/cmd.py", line 111, in 

cmdloop
    line = raw_input(self.prompt)
KeyboardInterrupt


Expected results:


Additional info:
Comment 1 Matthew Miller 2005-04-26 11:35:47 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.